--- res/res_agi.c.orig	2007-11-28 14:43:26.000000000 +0100
+++ res/res_agi.c	2007-11-28 14:47:13.000000000 +0100
@@ -51,6 +51,7 @@
 #include "asterisk/lock.h"
 #include "asterisk/strings.h"
 #include "asterisk/agi.h"
+#include "asterisk/version.h"
 
 #define MAX_ARGS 128
 #define AGI_NANDFS_RETRY 3
@@ -369,6 +370,7 @@
 	ast_agi_fdprintf(chan, fd, "agi_language: %s\n", chan->language);
 	ast_agi_fdprintf(chan, fd, "agi_type: %s\n", chan->tech->type);
 	ast_agi_fdprintf(chan, fd, "agi_uniqueid: %s\n", chan->uniqueid);
+	ast_agi_fdprintf(chan, fd, "agi_version: %s\n", ASTERISK_VERSION);
 
 	/* ANI/DNIS */
 	ast_agi_fdprintf(chan, fd, "agi_callerid: %s\n", S_OR(chan->cid.cid_num, "unknown"));
